% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/PlotMissingness.R
\name{PlotMissingness}
\alias{PlotMissingness}
\title{PlotMissingness}
\usage{
PlotMissingness(x, col = c("skyblue", "red", "orange"), bars = TRUE,
  numbers = FALSE, prop = TRUE, combined = FALSE, varheight = FALSE,
  only.miss = FALSE, border = par("fg"), sortVars = FALSE,
  sortCombs = TRUE, ylabs = NULL, axes = TRUE, labels = axes,
  cex.lab = 1.2, cex.axis = par("cex"), cex.numbers = par("cex"),
  gap = 4, ...)
}
\arguments{
\item{x}{Data to be plotted.}

\item{col}{a vector of length three giving the colors to be used for
observed, missing and imputed data. If only one color is supplied, it is
used for missing and imputed data and observed data is transparent. If only
two colors are supplied, the first one is used for observed data and the
second color is used for missing and imputed data.}

\item{bars}{a logical indicating whether a small barplot for the frequencies
of the different combinations should be drawn.}

\item{numbers}{a logical indicating whether the proportion or frequencies of
the different combinations should be represented by numbers.}

\item{prop}{a logical indicating whether the proportion of missing/imputed
values and combinations should be used rather than the total amount.}

\item{combined}{a logical indicating whether the two plots should be
combined.  If \code{FALSE}, a separate barplot on the left hand side shows
the amount of missing/imputed values in each variable.  If \code{TRUE}, a
small version of this barplot is drawn on top of the plot for the
combinations of missing/imputed and non-missing values.}

\item{varheight}{a logical indicating whether the cell heights are given by
the frequencies of occurrence of the corresponding combinations.}

\item{only.miss}{a logical indicating whether the small barplot for the
frequencies of the combinations should only be drawn for combinations
including missing/imputed values (if \code{bars} is \code{TRUE}).  This is
useful if most observations are complete, in which case the corresponding
bar would dominate the barplot such that the remaining bars are too
compressed.  The proportion or frequency of complete observations (as
determined by \code{prop}) is then represented by a number instead of a bar.}

\item{border}{the color to be used for the border of the bars and
rectangles.  Use \code{border=NA} to omit borders.}

\item{sortVars}{a logical indicating whether the variables should be sorted
by the number of missing/imputed values.}

\item{sortCombs}{a logical indicating whether the combinations should be
sorted by the frequency of occurrence.}

\item{ylabs}{if \code{combined} is \code{TRUE}, a character string giving
the y-axis label of the combined plot, otherwise a character vector of
length two giving the y-axis labels for the two plots.}

\item{axes}{a logical indicating whether axes should be drawn.}

\item{labels}{either a logical indicating whether labels should be plotted
on the x-axis, or a character vector giving the labels.}

\item{cex.lab}{the character expansion factor to be used for the axis
labels.}

\item{cex.axis}{the character expansion factor to be used for the axis
annotation.}

\item{cex.numbers}{the character expansion factor to be used for the
proportion or frequencies of the different combinations}

\item{gap}{if \code{combined} is \code{FALSE}, a numeric value giving the
distance between the two plots in margin lines.}

\item{\dots}{for \code{aggr} and \code{TKRaggr}, further arguments and
graphical parameters to be passed to \code{\link{PlotMissingness}}.}
}
\description{
Creates a missing data plot
}
